# GoOffline

### Description

Configures the client for offline mode. You must specify the period in minutes that the client will go offline. After this period, an event will be fired and your application can take any action as needed.

```csharp
bool GoOffline(double period, out string errorMessage);
```

### Parameters

<table><thead><tr><th width="612.3333333333333">Parameter</th><th align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td>period</td><td align="center">double</td><td>the period in minutes that the client will go offline. After this period, an event will be fired.</td></tr><tr><td>errorMessage</td><td align="center">string</td><td>a returned message with error information</td></tr></tbody></table>

### Returns

| Type    | Description                                             |
| ------- | ------------------------------------------------------- |
| Boolean | true if the operation was successful; otherwise, false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmcloudfloatinglicensehelper/methods/gooffline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
